/*
 * Globals.h
 *
 *  Created on: 16 dec 2011
 *      Author: Reii
 */

#ifndef GLOBALS_H_
#define GLOBALS_H_

#include "SDL/SDL.h"
#include <string>

class Globals{
public:
	Globals();
	SDL_Surface* getScreen();
	int getFPS();
	void Quit();
	void Start();
	bool getQuit();
	void quitProgram();
	bool getQuitProgram();
	void setMenu(std::string m);
	std::string getMenu();
	~Globals();
private:
	SDL_Surface* screen;
	int FPS;
	bool quitgame;
	bool quitprogram;
	std::string menu;
};

extern Globals globals;

#endif /* GLOBALS_H_ */
